## org.firebirdsql.jdbc.field
Class FBCachedBlobField

    java.lang.Object
      org.firebirdsql.jdbc.field.FBField
          org.firebirdsql.jdbc.field.FBBlobField
              org.firebirdsql.jdbc.field.FBCachedBlobField

All Implemented Interfaces:
  FBFlushableField

    public class FBCachedBlobField

extends FBBlobField

Describe class `FBBlobField` here.

Version:
  1.0
Author:
  Roman Rokytskyy

Field Summary

Fields inherited from class org.firebirdsql.jdbc.field.FBField
`field, gdsHelper, iscEncoding, javaEncoding, mappingPath, numCol, requiredType, scale`

Method Summary
`Blob` `getBlob()`
`byte[]` `getBytes()`

Methods inherited from class org.firebirdsql.jdbc.field.FBBlobField
`close, flushCachedData, getAsciiStream, getBinaryStream, getBytesInternal, getCachedObject, getString, getUnicodeStream, setAsciiStream, setBinaryStream, setBlob, setBytes, setCharacterStream, setNull, setString, setUnicodeStream`

Methods inherited from class org.firebirdsql.jdbc.field.FBField

`createField, getAlias, getArray, getBigDecimal, getBigDecimal, getBoolean, getByte, getCharacterStream, getClob, getDate, getDate, getDouble, getFieldData, getFloat, getInt, getLong, getName, getObject, getObject, getRef, getRelationName, getShort, getTime, getTime, getTimestamp, getTimestamp, isCompatible, isInvertTimeZone, isNull, isType, setBigDecimal, setBoolean, setByte, setConnection, setDate, setDate, setDouble, setFieldData, setFloat, setInteger, setLong, setObject, setRequiredType, setShort, setTime, setTime, setTimestamp, setTimestamp`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBlob

    public Blob getBlob()
                 throws SQLException

  Overrides:
    `getBlob` in class `FBBlobField`
  Throws:
    `SQLException`

### getBytes

    public byte[] getBytes()
                    throws SQLException

  Overrides:
    `getBytes` in class `FBBlobField`
  Throws:
    `SQLException`

Copyright © 2001-2010. All Rights Reserved.